package inn.ocsf.bee.freigeld.core.model

import java.util.*

interface GlobalWorld {

    fun addPerson(person: Person): UUID

    fun getPersonByIdentity(id: PersonIdentity): Person?

    fun setPersonIdentity(person: Person, identity: PersonIdentity)

    fun getPersonIdentitySet(person: Person): Set<PersonIdentity>?

    fun getPerson(personId: UUID): Person?

    fun getPersonIds(): Set<UUID>
}